from interp.baker import get_phis

TOL = 1e-8

def contains(X, R):
  """
    tests if X (point) is in R

    R is a simplex, represented by a list of n-degree coordinates

    it now correctly checks for 2/3-D verts

    TODO: write unit test ...
  """
  phis = get_phis(X, R)

  r = True
  if [i for i in phis if i < 0.0 - TOL]:
    r = False
  return r
